<?php

namespace LaraBB\Admin\UI\Web\Handlers;

use App\Http\Controllers\Controller;
use Illuminate\Contracts\View\View;
use Illuminate\View\Factory;

/**
 * Class DashboardHandler
 * @package LaraBB\Admin\UI\Web\Handlers
 */
class DashboardHandler extends Controller
{
    /**
     * @param Factory $view
     */
    public function __construct(private readonly Factory $view)
    {

    }

    /**
     * @return View
     */
    public function __invoke(): View
    {
        return $this->view->make('admin::dashboard', [
            'active' => 'dashboard'
        ]);
    }
}
